package ink.wgink.module.sms.pojo.vos.sms;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: SmsSendBaseVO
 * @Description: 消息发送
 * @Author: wanggeng
 * @Date: 2022/4/23 11:51
 * @Version: 1.0
 */
@ApiModel
public class SmsSendBaseVO {

    @ApiModelProperty(name = "content", value = "发送内容", required = true)
    @CheckEmptyAnnotation(name = "发送内容")
    private String content;

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"content\":\"")
                .append(content).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
